import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BmViewModel } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-07-31 13:17
 */
interface BmViewModelCU extends ConditionUtil<BmViewModelCU> {
    ID: FieldUtil<BmViewModelCU>;
    BM_PROJECT_ID: FieldUtil<BmViewModelCU>;
    VERSION_ID: FieldUtil<BmViewModelCU>;
    VERSION_NO: FieldUtil<BmViewModelCU>;
    NAME: FieldUtil<BmViewModelCU>;
    TABLE_NAME: FieldUtil<BmViewModelCU>;
    DESCRIPTION: FieldUtil<BmViewModelCU>;
    RELEASED: FieldUtil<BmViewModelCU>;
    BUILD_METHOD: FieldUtil<BmViewModelCU>;
    BUILD_SQL: FieldUtil<BmViewModelCU>;
    DATASOURCE_ID: FieldUtil<BmViewModelCU>;
    CREATE_USER_ID: FieldUtil<BmViewModelCU>;
    UPDATE_USER_ID: FieldUtil<BmViewModelCU>;
    CREATE_TIME: FieldUtil<BmViewModelCU>;
    UPDATE_TIME: FieldUtil<BmViewModelCU>;
}
declare class BmViewModelMU extends TableUtilImpl<BmViewModelCU, BmViewModel> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BmViewModelCU;
    static get ID(): FieldUtil<BmViewModelCU>;
    static get BM_PROJECT_ID(): FieldUtil<BmViewModelCU>;
    static get VERSION_ID(): FieldUtil<BmViewModelCU>;
    static get VERSION_NO(): FieldUtil<BmViewModelCU>;
    static get NAME(): FieldUtil<BmViewModelCU>;
    static get TABLE_NAME(): FieldUtil<BmViewModelCU>;
    static get DESCRIPTION(): FieldUtil<BmViewModelCU>;
    static get RELEASED(): FieldUtil<BmViewModelCU>;
    static get BUILD_METHOD(): FieldUtil<BmViewModelCU>;
    static get BUILD_SQL(): FieldUtil<BmViewModelCU>;
    static get DATASOURCE_ID(): FieldUtil<BmViewModelCU>;
    static get CREATE_USER_ID(): FieldUtil<BmViewModelCU>;
    static get UPDATE_USER_ID(): FieldUtil<BmViewModelCU>;
    static get CREATE_TIME(): FieldUtil<BmViewModelCU>;
    static get UPDATE_TIME(): FieldUtil<BmViewModelCU>;
    get ID(): FieldUtil<BmViewModelCU>;
    get BM_PROJECT_ID(): FieldUtil<BmViewModelCU>;
    get VERSION_ID(): FieldUtil<BmViewModelCU>;
    get VERSION_NO(): FieldUtil<BmViewModelCU>;
    get NAME(): FieldUtil<BmViewModelCU>;
    get TABLE_NAME(): FieldUtil<BmViewModelCU>;
    get DESCRIPTION(): FieldUtil<BmViewModelCU>;
    get RELEASED(): FieldUtil<BmViewModelCU>;
    get BUILD_METHOD(): FieldUtil<BmViewModelCU>;
    get BUILD_SQL(): FieldUtil<BmViewModelCU>;
    get DATASOURCE_ID(): FieldUtil<BmViewModelCU>;
    get CREATE_USER_ID(): FieldUtil<BmViewModelCU>;
    get UPDATE_USER_ID(): FieldUtil<BmViewModelCU>;
    get CREATE_TIME(): FieldUtil<BmViewModelCU>;
    get UPDATE_TIME(): FieldUtil<BmViewModelCU>;
}
export { BmViewModelMU, BmViewModelCU };
